
Redmine - Feature #29935

Edit authored issues and Edit assigned issues in issue tracking permission

2018-11-08 14:50 - Pradeep Kumar

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Please provide "Edit authored issues" and "Edit assigned issues" in issue tracking permission of Roles and permissions setting for

Redmine 3.4.6.stable version. Please suggest if any alternate method to achieve the same if already available.

Related issues:

Related to Redmine - Feature #1248: New Permission:  Edit own issues Closed 2008-05-16

Has duplicate Redmine - Feature #12550: Edit Own/Assigned Issues Closed 2013-04-02

History

#1 - 2018-11-08 15:27 - Go MAEDA

- Has duplicate Feature #12550: Edit Own/Assigned Issues added

#2 - 2018-11-08 15:28 - Go MAEDA

- Related to Feature #1248: New Permission:  Edit own issues added

#3 - 2019-12-08 06:11 - Go MAEDA

- Tracker changed from Patch to Feature

"Edit own issue" permission was implemented for upcoming Redmine 4.1.0 (#1248).

#4 - 2021-07-19 09:33 - Maurizio Andres Baggio

+1 for the "edit assigned issues", as the "edit own issue" permission only lets you edit those which you directly create and not the ones which you are

assigned to, could be also solved by adding a setting in the "fields permission" workflow setting if there was a "Additional fields permissions when the

user is the assignee" like the ones for the status transitions in the same workflow setting.

#5 - 2021-08-17 14:37 - Петро Тітаренко

Hello! Sorry for disturbing. Maybe there is a method to edit only assigned issues? Maybe i can change some configuration file to change "own issues"

to "assigned issues" becouse "own issues" button is not so helpful for my purposes? It wold be very helpful if somebody know how to do this.

#6 - 2022-10-06 13:27 - Marian Liviriniu

I managed to provide myself with an "Edit assigned issues" permission by applying the :edit_assigned_issues aspect found in the

"issue-permissions-1.1.0.patch - bugfix2" patch that can be found here: https://www.redmine.org/issues/7444

(Redmine v4.2.1 in my case)

#7 - 2024-09-27 21:40 - Alexey Smirnov

You can use plugin https://www.redmine.org/plugins/redmine_extend

Plugin add permission "edit assigned issue"
